Free and open-source vulnerability scanner

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2002-1271

CVE information

Published

20 years ago

Last Modified

6 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

The Mail::Mailer Perl module in the perl-MailTools package 1.47 and earlier uses mailx as the default mailer, which allows remote attackers to execute arbitrary commands by inserting them into the mail body, which is then processed by mailx..

CVSSv2.0 Score

Severity
High
Base Score
7.5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:perl-mailtools:perl-mailtools:1.44:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:perl-mailtools:perl-mailtools:1.15:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:perl-mailtools:perl-mailtools:1.13:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:perl-mailtools:perl-mailtools:1.40:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:perl-mailtools:perl-mailtools:1.1401:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:perl-mailtools:perl-mailtools:1.42:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:perl-mailtools:perl-mailtools:1.47:*:*:*:*:*:*:*
  Yes
- -